CONFIG -= warn_on

# Config 
PREFIX = /usr/local
CONFIG += qt release
CONFIG -= debug # Needed to avoid console on win32
TEMPLATE = app
RESOURCES = qmpdclient.qrc
TARGET = qmpdclient
INCLUDEPATH += src
INSTALLS += target 
target.path = /usr/local/bin 

# Files
FORMS += \
	ui/aboutdialog.ui \
	ui/addradiodialog.ui \
	ui/controlpanel.ui \
	ui/directorypanel.ui \
   	ui/jumptosongdialog.ui \
	ui/librarypanel.ui \
	ui/mainwindow.ui \
   	ui/metainfodialog.ui \
	ui/playlistpanel.ui \
	ui/playlistspanel.ui \
   	ui/preferencesdialog.ui \
	ui/radiopanel.ui

HEADERS += \
	src/aboutdialog.h \
	src/albumview.h \
   	src/artistview.h \
   	src/config.h \
	src/controlpanel.h \
	src/defines.h \
   	src/directorymodel.h \
	src/directorypanel.h \
   	src/directoryview.h \
	src/dynamicplaylist.h \
	src/headerview.h \
	src/idealbar.h \
	src/idealsplitter.h \
   	src/jumptosongdialog.h \
   	src/libmpdclient.h \
	src/librarypanel.h \
   	src/mainwindow.h \
   	src/metainfodialog.h \
   	src/mpd.h \
   	src/mpddirectory.h \
	src/mpdoutput.h \
   	src/mpdsong.h \
   	src/mpdsonglist.h \
   	src/mpdsongmodel.h \
	src/mpdsongview.h \
   	src/mpdstats.h \
   	src/mpdstatus.h \
	src/multimediakeys.h \
	src/notifications.h \
	src/passivepopup.h \
	src/playlistspanel.h \
   	src/playlistsview.h \
   	src/preferencesdialog.h \
   	src/qmpdclient.h \
	src/playlistpanel.h \
   	src/playlistview.h \
	src/radiopanel.h \
   	src/radioview.h \
	src/reconnect.h \
	src/richtext.h \
	src/serverinfo.h \
	src/servermodel.h \
	src/stringlistmodel.h \
	src/stringlistview.h \
   	src/tagguesser.h \
	src/timeslider.h \
	src/trayicon.h \
	src/trayiconlabel.h

SOURCES += \
   	src/config.cpp \
   	src/mpdsong.cpp \
	src/aboutdialog.cpp \
	src/albumview.cpp \
   	src/artistview.cpp \
	src/controlpanel.cpp \
   	src/directorymodel.cpp \
	src/directorypanel.cpp \
   	src/directoryview.cpp \
	src/dynamicplaylist.cpp \
	src/headerview.cpp \
	src/idealbar.cpp \
	src/idealsplitter.cpp \
   	src/jumptosongdialog.cpp \
   	src/libmpdclient.c \
	src/librarypanel.cpp \
   	src/mainwindow.cpp \
   	src/metainfodialog.cpp \
   	src/mpd.cpp \
	src/mpdcollection.cpp \
   	src/mpddirectory.cpp \
	src/mpdsonglist.cpp \
   	src/mpdsongmodel.cpp \
	src/mpdsongview.cpp \
	src/multimediakeys.cpp \
	src/notifications.cpp \
	src/passivepopup.cpp \
	src/playlistpanel.cpp \
   	src/playlistview.cpp \
	src/playlistspanel.cpp \
   	src/playlistsview.cpp \
   	src/preferencesdialog.cpp \
   	src/qmpdclient.cpp \
	src/radiopanel.cpp \
   	src/radioview.cpp \
	src/reconnect.cpp \
	src/servermodel.cpp \
	src/stringlistmodel.cpp \
	src/stringlistview.cpp \
   	src/tagguesser.cpp \
	src/timeslider.cpp \
	src/trayicon.cpp \
	src/trayiconlabel.cpp

TRANSLATIONS = \
	translations/qmpdclient_cs.ts \
	translations/qmpdclient_de.ts \
	translations/qmpdclient_nn.ts \
	translations/qmpdclient_no.ts \
	translations/qmpdclient_ru.ts

# Platform specific
win32{
  debug {
  	CONFIG += console
  }
  RC_FILE = icons/qmpdc.rc
  LIBS += -lws2_32
}
unix{
  !mac{
    MOC_DIR = .moc
    OBJECTS_DIR = .obj
    RCC_DIR = .res
    UI_DIR = .ui
  }
  mac {
  	RC_FILE = icons/qmpdclient.icns
  }
}
