/*
 * QMPDClient - An MPD client written in Qt 4.
 * Copyright (C) 2005-2006 Hvard Tautra Knutsen <havtknut@tihlde.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include "directorypanel.h"
#include "config.h"

DirectoryPanel::DirectoryPanel() {
	setupUi(this);
	
	connect(directoryView, SIGNAL(directoryChanged(MPDSongList)), fileView, SLOT(setSongs(MPDSongList))); 
	connect(fileFilter, SIGNAL(textChanged(const QString &)), fileView, SLOT(setTitleFilter(const QString &)));
	connect(clearFileFilter, SIGNAL(clicked()), fileFilter, SLOT(clear()));
	connect(Config::instance(), SIGNAL(opaqueResizeChanged(bool)), this, SLOT(opaqueResizeChanged(bool)));
	
	opaqueResizeChanged(Config::instance()->opaqueResize());
	directorySplit->restoreState(Config::instance()->directorySplitterSizes());
}

void DirectoryPanel::on_directorySplit_splitterMoved(int, int) {
	Config::instance()->setDirectorySplitterSizes(directorySplit->saveState());
}

void DirectoryPanel::opaqueResizeChanged(bool o) {
	directorySplit->setOpaqueResize(o);
}
