/*
 * QMPDClient - An MPD client written in Qt 4.
 * Copyright (C) 2005-2006 Hvard Tautra Knutsen <havtknut@tihlde.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef MPDSTATS_H
#define MPDSTATS_H

#include "libmpdclient.h"
#include <QString>

class MPDStats {
private:
	int m_numberOfArtists, m_numberOfAlbums, m_numberOfSongs;
	unsigned long m_uptime, m_dbUpdateTime, m_playTime, m_dbPlayTime;
	bool null;

public:
	MPDStats() :
			m_numberOfArtists(0),
			m_numberOfAlbums(0),
			m_numberOfSongs(0),
			m_uptime(0),
			m_dbUpdateTime(0),
			m_playTime(0),
			m_dbPlayTime(0),
	null(true) {}

	MPDStats(mpd_Stats *s) :
			m_numberOfArtists(s->numberOfArtists),
			m_numberOfAlbums(s->numberOfAlbums),
			m_numberOfSongs(s->numberOfSongs),
			m_uptime(s->uptime),
			m_dbUpdateTime(s->dbUpdateTime),
			m_playTime(s->playTime),
			m_dbPlayTime(s->dbPlayTime),
	null(false) {}

	bool isNull() {
		return null;
	}
	int numberOfArtists() {
		return m_numberOfArtists;
	}
	int numberOfAlbums() {
		return m_numberOfAlbums;
	}
	int numberOfSongs() {
		return m_numberOfSongs;
	}
	unsigned long uptime() {
		return m_uptime;
	}
	unsigned long dbUpdateTime() {
		return m_dbUpdateTime;
	}
	unsigned long playTime() {
		return m_playTime;
	}
	unsigned long dbPlayTime() {
		return m_dbPlayTime;
	}
};
#endif
