/*
 * QMPDClient - An MPD client written in Qt 4.
 * Copyright (C) 2005-2006 Hvard Tautra Knutsen <havtknut@tihlde.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef TRAYICON_H
#define TRAYICON_H

#include <QApplication>
#ifdef Q_WS_X11
#include <X11/Xatom.h>
#include <X11/Xlib.h>
#endif
class Config;
class TrayIconLabel;
class QCloseEvent;

class TrayIcon : public QObject {
	Q_OBJECT
private:
	Config *config;
	static bool installed;
	static void installTrayIcon();
	// Static members
#ifdef Q_WS_X11
	static Atom systemTraySelection;
	static Window systemTrayWindow;
#endif
	static void locateSystemTray();
	static TrayIconLabel *trayIcon;
	static TrayIcon *m_instance;
	// Events
	static QCoreApplication::EventFilter oldEventFilter;
	static bool eventFilter(void *message, long *result);
	TrayIcon();

public:
	static TrayIcon* instance();
	~TrayIcon();
	bool isInstalled();
	void install();
	void remove();
	bool hideOnClose();
	bool hideOnStart();

public slots:
	void trayIconChanged(bool);
	void mainWindowClose(QCloseEvent *);

signals:
	void showHide();
};
#endif
