/*
 * QMPDClient - An MPD client written in Qt 4.
 * Copyright (C) 2005-2006 Hvard Tautra Knutsen <havtknut@tihlde.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef TRAYICONLABEL_H
#define TRAYICONLABEL_H

#include <QLabel>

class MPD;
class MPDSong;
class QMenu;

class TrayIconLabel : public QLabel {
	Q_OBJECT

private:
	MPD *mpd;
	QMenu *menu;
	// Events
	void enterEvent(QEvent *);
	void leaveEvent(QEvent *);
	void mousePressEvent(QMouseEvent *);
	void wheelEvent(QWheelEvent *);
#ifdef Q_WS_X11
	bool x11Event(XEvent *);
#endif

private slots:
	void connected();
	void disconnected();
	void setSong(MPDSong *);

public:
	TrayIconLabel();

signals:
	void showHide();
	void volumeDown(int);
	void volumeUp(int);
};

#endif
